Public Attributes | List of all members
_aes_handle Struct Reference
Peripheral Driver » HAL Driver » AES » Structures » AES Handle

AES handle Structure definition. More...

`#include <hal_aes.h>`

## Public Attributes
aes_regs_t * | p_instance
aes_init_t | init
uint32_t | operation_mode
uint32_t | chaining_mode
uint32_t * | p_cryp_input_buffer
uint32_t * | p_cryp_output_buffer
uint32_t | block_size
uint32_t | keyram_offset
__IO hal_aes_state_t | state
__IO uint32_t | error_code

## Detailed Description

AES handle Structure definition.

Definition at line 128 of file hal_aes.h.

## Member Data Documentation

## ◆ block_size

uint32_t _aes_handle::block_size

Data size in blocks (16 bytes per block)

Definition at line 136 of file hal_aes.h.

## ◆ chaining_mode

uint32_t _aes_handle::chaining_mode

AES chaining mode

Definition at line 133 of file hal_aes.h.

## ◆ error_code

__IO uint32_t _aes_handle::error_code

AES Error code

Definition at line 139 of file hal_aes.h.

## ◆ init

aes_init_t _aes_handle::init

AES init parameters

Definition at line 131 of file hal_aes.h.

## ◆ keyram_offset

uint32_t _aes_handle::keyram_offset

Keyram offset

Definition at line 137 of file hal_aes.h.

## ◆ operation_mode

uint32_t _aes_handle::operation_mode

AES operating mode

Definition at line 132 of file hal_aes.h.

## ◆ p_cryp_input_buffer

uint32_t* _aes_handle::p_cryp_input_buffer

Pointer to CRYP processing (encryption or decryption) input buffer

Definition at line 134 of file hal_aes.h.

## ◆ p_cryp_output_buffer

uint32_t* _aes_handle::p_cryp_output_buffer

Pointer to CRYP processing (encryption or decryption) output buffer

Definition at line 135 of file hal_aes.h.

## ◆ p_instance

aes_regs_t* _aes_handle::p_instance

AES registers base address

Definition at line 130 of file hal_aes.h.

## ◆ state

__IO hal_aes_state_t _aes_handle::state

AES operation state

Definition at line 138 of file hal_aes.h.

The documentation for this struct was generated from the following file:

- hal_aes.h